<?xml version="1.0" encoding="UTF-8"?>
<Configuration status="warn">
  <Appenders>
    <RollingFile name="RollingFile" fileName="${log4j:configParentLocation}/log/ulisse-ipi-dump.log"
                 filePattern="${log4j:configParentLocation}/log/$${date:yyyy-MM}/ulisse-ipi-dump-%d{yyyy-MM-dd}-%i.log.gz">
      <PatternLayout>
        <Pattern>%d %p [%t] %c{1} %m%n</Pattern>
      </PatternLayout>
      <Policies>
        <TimeBasedTriggeringPolicy />
        <SizeBasedTriggeringPolicy size="250 MB"/>
      </Policies>
      <DefaultRolloverStrategy max="20"/>
    </RollingFile>
  </Appenders>
  <Loggers>
    <Root level="warn">
      <AppenderRef ref="RollingFile"/>
    </Root>
    <Logger name="com.alkemytech.sophia" level="debug" additivity="false">
      <AppenderRef ref="RollingFile"/>
    </Logger>  
  </Loggers>
</Configuration>
